public inbox for isar-users@googlegroups.com
 help / color / mirror / Atom feed
From: Henning Schild <henning.schild@siemens.com>
To: isar-users@googlegroups.com
Cc: Jan Kiszka <jan.kiszka@siemens.com>,
	Henning Schild <henning.schild@siemens.com>
Subject: [PATCH] build-kernel.sh: handle kernel configs with CONFIG_LOCALVERSION
Date: Fri, 20 Apr 2018 14:39:21 +0200	[thread overview]
Message-ID: <20180420123921.1927-1-henning.schild@siemens.com> (raw)

Setting this option in your kernel config will result in filenames that
build-kernel.sh does not expect. To not introduce confusion between
recipe versions and debian package versions simply require the recipe to
have a PV matching "make kernelrelease".

Signed-off-by: Henning Schild <henning.schild@siemens.com>
---
 meta/recipes-kernel/linux/files/build-kernel.sh | 7 +++++++
 1 file changed, 7 insertions(+)

diff --git a/meta/recipes-kernel/linux/files/build-kernel.sh b/meta/recipes-kernel/linux/files/build-kernel.sh
index 42c8ff6..1ec094e 100644
--- a/meta/recipes-kernel/linux/files/build-kernel.sh
+++ b/meta/recipes-kernel/linux/files/build-kernel.sh
@@ -21,6 +21,13 @@ flock /dpkg.lock \
 cd $1
 make olddefconfig
 
+KV=$( make -s kernelrelease )
+if [ "${KV}" != "${PV}" ]; then
+	echo "ERROR: Recipe PV is \"${PV}\" but should be \"${KV}\"" 1>&2
+	echo "ERROR: Probably due to CONFIG_LOCALVERSION" 1>&2
+	exit 1
+fi
+
 rm -f .version
 make -j $(($(nproc) * 2)) deb-pkg
 
-- 
2.16.1


             reply	other threads:[~2018-04-20 12:39 UTC|newest]

Thread overview: 2+ messages / expand[flat|nested]  mbox.gz  Atom feed  top
2018-04-20 12:39 Henning Schild [this message]
2018-05-11 15:33 ` Alexander Smirnov

Reply instructions:

You may reply publicly to this message via plain-text email
using any one of the following methods:

* Save the following mbox file, import it into your mail client,
  and reply-to-all from there: mbox

  Avoid top-posting and favor interleaved quoting:
  https://en.wikipedia.org/wiki/Posting_style#Interleaved_style

* Reply using the --to, --cc, and --in-reply-to
  switches of git-send-email(1):

  git send-email \
    --in-reply-to=20180420123921.1927-1-henning.schild@siemens.com \
    --to=henning.schild@siemens.com \
    --cc=isar-users@googlegroups.com \
    --cc=jan.kiszka@siemens.com \
    /path/to/YOUR_REPLY

  https://kernel.org/pub/software/scm/git/docs/git-send-email.html

* If your mail client supports setting the In-Reply-To header
  via mailto: links, try the mailto: link
Be sure your reply has a Subject: header at the top and a blank line before the message body.
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox